SDL_AtomicCompareAndSwap(3)

NAME
SDL_AtomicCompareAndSwap - Set an atomic variable to a new value if it is currently an old value.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_AtomicCompareAndSwap(SDL_AtomicInt *a, int oldval, int newval);

DESCRIPTION
Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicInt
     variable to be modified

oldval
    the old value

newval
    the new value

RETURN VALUE
Returns SDL_TRUE
 if the atomic variable was set, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicCompareAndSwapPointer(3)